 $(document).ready(function(){
	$("#submitbutton").click(function(){
		var valid = '';
		var name = $("#name").val();
		var phone = $("#phone").val();
		var mail = $("#email").val();
		var message = $("#message").val();
		
		if (name.length<1) {
			valid += '<br />Kérjük írja be a nevét!';
		}
		if (mail.length<1) {
			valid += '<br />Kérjük írja be az E-Mail címét!';
		}
		if (phone.length<1) {
			valid += '<br />Kérjük írja be a telefonszámát!';
		}
		if (message.length<1) {
			valid += '<br />Kérjük írja be az üzenetét!';
		}

		if (valid!='') {
			$("#response").fadeIn("slow");
			$("#response").html("Hiba!"+valid);
		}

		else { 
			message = message.replace('\n', '<br />', 'g');
			var datastr ='name=' + name + '&mail=' + mail + '&phone=' + phone + '&message=' + message;
			$("#response").css("display", "block");
			$("#response").html("Üzenet küldése...<img src='http://<?php echo $_SERVER['HTTP_HOST']; ?>/wp-content/themes/betontrend//images/sendingmail.gif'>");
			$("#response").fadeIn("slow");
			setTimeout("send('"+datastr+"')",2000);
		}
		return false;
	});
});

function send(datastr){
	$.ajax({	
		type: "POST",
		url: "http://<?php echo $_SERVER['HTTP_HOST']; ?>/wp-content/themes/betontrend/contact-hun.php",
		data: datastr,
		cache: false,
		success: function(html){
		$("#response").fadeIn("slow");
		$("#response").html(html);
		setTimeout('$("#response").fadeOut("slow")',8000);
		setTimeout('$.fancybox.close()', 1000);
	}
	});
}